/*
 * TeaXStyle (C) 2001 Pierpaolo Di Panfilo  <pippo_dp@libero.it>
 *
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */
 
#ifndef __KCM_TeaXTrans_H
#define __KCM_TeaXTrans_H

#include <kcmodule.h>
#include <kstddirs.h>
#include <kcolorbutton.h>
#include <qpushbutton.h>
#include <qcheckbox.h>

class QSlider;
class KColorButton;
class QGroupBox;
class QVButtonGroup;
class QRadioButton;

#define MENU_CONFIG_CHANGED 667

class TeaXTransConfig : public KCModule
{    Q_OBJECT

public:
    enum Buttons{None=0, TransFollowBg, Custom};
    TeaXTransConfig(QWidget *parent=0, const char *name=0);
    ~TeaXTransConfig(){ ; }
    void save();
    void load();
    void defaults(){  load();
                      emit changed(true);}
protected slots:
    void slotBtnGroupClicked(int id);
    void slotpBtnGroupClicked(int id);

protected:
    QSlider *opacitySlider, *panOpacitySlider;
    KColorButton *colorBtn, *fgBtn, *panBgBtn;
    QGroupBox *customGroup, *panCustomGroup;
    QButtonGroup *btnGroup, *panbtnGroup;
    QCheckBox *shadowBtn, *boldBtn, *menuStriped, *panStriped;
};

#endif
